gstreamermm: Gst::AlsaMixer Class Reference

gstreamermm 0.10.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::AlsaMixer Class Reference
gstreamermm Plugins

A Wrapper for the alsamixer plugin. More...

Inheritance diagram for Gst::AlsaMixer:
[legend]
Collaboration diagram for Gst::AlsaMixer:
[legend]

List of all members.

## Public Member Functions
virtual | ~AlsaMixer ()
GstAlsaMixerElement* | gobj ()
| Provides access to the underlying C GObject.
const GstAlsaMixerElement* | gobj () const
| Provides access to the underlying C GObject.
GstAlsaMixerElement* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_device ()
| ALSA device, as defined in an asound configuration file.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device () const
| ALSA device, as defined in an asound configuration file.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device_name () const
| Human-readable name of the sound device.
## Static Public Member Functions
static Glib::RefPtr< AlsaMixer > | create ()
| Creates a new alsamixer plugin with a unique name.
static Glib::RefPtr< AlsaMixer > | create (const Glib::ustring& name)
| Creates a new alsamixer plugin with the given name.
## Protected Member Functions
| AlsaMixer ()
| AlsaMixer (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AlsaMixer > | wrap (GstAlsaMixerElement* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the alsamixer plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AlsaMixer::~AlsaMixer | ( |  | ) | `[virtual]`

Gst::AlsaMixer::AlsaMixer | ( |  | ) | `[protected]`

Gst::AlsaMixer::AlsaMixer | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AlsaMixer> Gst::AlsaMixer::create | ( |  | ) | `[static]`

Creates a new alsamixer plugin with a unique name.

static Glib::RefPtr<AlsaMixer> Gst::AlsaMixer::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new alsamixer plugin with the given name.

const GstAlsaMixerElement* Gst::AlsaMixer::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstAlsaMixerElement* Gst::AlsaMixer::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstAlsaMixerElement* Gst::AlsaMixer::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy<Glib::ustring> Gst::AlsaMixer::property_device | ( |  | ) |

ALSA device, as defined in an asound configuration file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::AlsaMixer::property_device | ( |  | ) | const

ALSA device, as defined in an asound configuration file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::AlsaMixer::property_device_name | ( |  | ) | const

Human-readable name of the sound device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AlsaMixer > wrap | ( | GstAlsaMixerElement * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/alsamixer.h